#ifndef __JABYENGINE_GPU_TYPES_HPP__
#define __JABYENGINE_GPU_TYPES_HPP__
#include "../jabyengine_defines.h"

namespace GPU {
    struct __no_align Color3 {
        uint8_t blue;
        uint8_t green;
        uint8_t red;

        static constexpr Color3 black() {
            return {0x0, 0x0, 0x0};
        }

        static constexpr Color3 rgb(uint8_t r, uint8_t g, uint8_t b) {
            return {b, g, r};
        }
    };

    struct __no_align Color {
        uint8_t reserved;
        Color3  color_data;

        constexpr Color(Color3 color) : reserved(0), color_data(color) {
        }
    };
}

#endif //!__JABYENGINE_GPU_TYPES_HPP__